View Issue Details

IDProjectCategoryView StatusLast Update
0003656unrealircdpublic2010-01-03 17:26
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform*nixOS*OS Version*
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003656: Include curl for automatic detection and configuration with Unreal
DescriptionI've always thought Unreal should come packaged with or have the ability to download a version of curl and then configure and compile it for automatic installation.

If the user says yes to remote includes and does not specify a path, the user would then be given an option to have the configure script download and compile curl for them. We should host our own curl tarball to avoid conflicts between curl versions.
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0003925 closed curlinstall broken 

Activities

syzop

2010-01-03 17:26

administrator   ~0015993

Added in CVS .787, needs testing on non-Linux platforms(!):
- Made ./Config description about remote includes a bit more clear.
- When you now answer Yes to Remote includes in ./Config and $HOME/curl does
  not exist, it now asks you if you want to automatically download and
  install curl (which is done by ./curlinstall).
  This has been tested on Linux, further testing on f.e. FreeBSD is required.

Issue History

Date Modified Username Field Change
2008-02-26 19:52 Stealth New Issue
2008-02-26 19:52 Stealth QA => Not touched yet by developer
2008-02-26 19:52 Stealth U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-02-26 19:52 Stealth U4: Upstream notification of bug => Not decided
2008-02-26 19:52 Stealth U4: Contributor working on this => None
2010-01-01 18:37 syzop Product Version 3.3-alpha0 => 3.2.8
2010-01-03 17:26 syzop Note Added: 0015993
2010-01-03 17:26 syzop Status new => resolved
2010-01-03 17:26 syzop Fixed in Version => 3.2.9-RC1
2010-01-03 17:26 syzop Resolution open => fixed
2010-01-03 17:26 syzop Assigned To => syzop
2010-07-13 02:21 ohnobinki Relationship added has duplicate 0003925